function erstelle_graphen(x,v,uopt,intlaengen,x_vgl,v_vgl,maxschritt)

% Erstellt die Graphen der Optimalwertfunktion, der optimalen Kontrollwerte und
% der Intervalllaenge abhaengig vom Vektor der Knotenpunkte x
%
% Zusaetzlich wird die Optimalwertfunktion zusammen mit der mit Hilfe linearer Interpolation
% erzeugten Optimalewertfunktion ausgegeben.
%
% Ausserdem wird die Entwicklung des maximalen Schrittes je Iteration 
% geplottet.

figure;
plot(x,v);
title('optimale Wertefunktion');
figure;
plot(x,uopt,'o');
title('optimale Kontrollwerte');
figure;
plot(x,intlaengen,'o');
title('Intervalllaengen');
figure;
plot(x,v,x_vgl,v_vgl,'r');
title('Vergleich der optimalen Wertefunktionen');
figure;
plot(maxschritt);
title('Entwicklung des maximalen Schrittes je Iteration');

